Subject: Re: bug#29599: 26.0; `dframe.el' binds keys unconditionally when loaded

From: Noam Postavsky <[email-masked]>
Date: Mon, 18 Dec 2017 22:51:06 -0500

tags 29599 + patch
quit

Drew Adams <[email-masked]> writes:

>> Yeah (it's probably the loading-on-completion thing again).
>
> I don't think I know (or didn't know or at least don't
> recall) anything about such a thing.  Is it something new?

Yes, see Bug#28607.

>> Actually, it sort of looks like
>> dframe is trying to install such a hook; the functions it puts don't do
>> anything except call `dframe-make-frame-{visible,iconify,delete}-
>> function'.
>
> But (without looking at them), those sound like specific
> replacements for the standard iconify etc.  If so, it's
> great to provide such functions, but they shouldn't be
> bound to special events by default (i.e., upon loading).

As far as I can tell, there is no code in Emacs which sets those
functions to anything.  So presumably the idea is to allow the user to
run some code when a "dframe" is made visible/iconified/deleted.

>> Here's a patch which moves the keybinding to dframe-frame-mode
>> activation instead.
>
> I can't speak to the value of the patch (I know nothing
> about this), but thanks for working on this.

Okay, it should take care of this bug, and it should be perfectly safe,
since the functions do nothing before dframe-frame-mode is activated
anyway.  I'll push to emacs-26 in a few days if there are no objections.